[PC-BSD Commits] r801 - pcbsd/branches/1.4/installcd-overlay/usr/local/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Fri Oct 26 08:56:05 PDT 2007
Author: kris
Date: 2007-10-26 08:56:05 -0700 (Fri, 26 Oct 2007)
New Revision: 801
Modified:
pcbsd/branches/1.4/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh
Log:
Back port the AMD / powerd fix to 1.4.1 for release
Modified: pcbsd/branches/1.4/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh
===================================================================
--- pcbsd/branches/1.4/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh 2007-10-26 15:55:26 UTC (rev 800)
+++ pcbsd/branches/1.4/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SysConfig.sh 2007-10-26 15:56:05 UTC (rev 801)
@@ -9,6 +9,15 @@
KEYLAYOUT="" ; export KEYLAYOUT
fi
+# Check if we are on an AMD processor and disable powerd if so
+# Ticket #66 and others have had problems with this and lockups
+sysctl -a | grep hw.model | grep AMD 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cat /mnt/etc/rc.conf | grep -v "powerd" >/mnt/tmp/.rc.conf
+ mv /mnt/rmp/.rc.conf /mnt/etc/rc.conf
+fi
+
if [ "${4}" = "1" ]
then
echo "bsdstats_enable=\"YES\"" >> /mnt/etc/rc.conf
More information about the Commits
mailing list